using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Brovi11
{
    enum RoWState
    {
        Existed,
        New,
        Modified,
        ModifiedNew,
        Delected
    }
   
    public partial class FormaAdmin : Form
    {
        public FormaAdmin()
        {
            InitializeComponent();
        }
        int selectedRow;
        private void ReadSingleRow(DataGridView dgw, IDataRecord record)
        {
            dgw.Rows.Add(record.GetInt32(0), record.GetString(1), record.GetString(2), record.GetString(3), record.GetString(4), RoWState.ModifiedNew);
        }

        private void FormaAdmin_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_1Brovi11DataSet.Manufacturer". При необходимости она может быть перемещена или удалена.
            this.manufacturerTableAdapter.Fill(this._1Brovi11DataSet.Manufacturer);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_1Brovi11DataSet.Product". При необходимости она может быть перемещена или удалена.
            this.productTableAdapter.Fill(this._1Brovi11DataSet.Product);

        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {
            selectedRow = e.RowIndex;

            if (e.RowIndex >= 0)
            {
                DataGridViewRow row = dataGridView1.Rows[selectedRow];

                titleTextBox.Text = row.Cells[0].Value.ToString();
                costTextBox.Text = row.Cells[1].Value.ToString();
                descriptionTextBox.Text = row.Cells[2].Value.ToString();
                isActiveCheckBox.Text = row.Cells[3].Value.ToString();
                manufacturerIDTextBox.Text = row.Cells[4].Value.ToString();            
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            productBindingSource.Sort = "Cost ASC";
        }

        private void button2_Click(object sender, EventArgs e)
        {
            productBindingSource.Sort = "Cost Desc";
        }

        private void button3_Click(object sender, EventArgs e)
        {
            productBindingSource.Filter = "ManufacturerID = '" + manufacturerIDComboBox.Text + "'";
        }

        private void button4_Click(object sender, EventArgs e)
        {
            productBindingSource.Filter = null;
        }

        private void button6_Click(object sender, EventArgs e)
        {
            productBindingSource.Filter = "Title = '" + titleTextBox1.Text + "'";
        }

        private void button9_Click(object sender, EventArgs e)
        {
            Form1 f1 = new Form1();
            f1.Show();
            this.Hide();
        }

        private void button8_Click(object sender, EventArgs e)
        {
           FormAdd f1 = new FormAdd();
            f1.Show();
            this.Hide();
        }

        private void button7_Click(object sender, EventArgs e)
        {
            productBindingSource.RemoveCurrent();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            this.manufacturerTableAdapter.Update(this._1Brovi11DataSet.Manufacturer);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_1Brovi11DataSet.Product". При необходимости она может быть перемещена или удалена.
            this.productTableAdapter.Update(this._1Brovi11DataSet.Product);
        }

        private void button10_Click(object sender, EventArgs e)
        {
            Manufacturer f1 = new Manufacturer();
            f1.Show();
            this.Hide();
        }

        private void panel4_Paint(object sender, PaintEventArgs e)
        {

        }

        private void button11_Click(object sender, EventArgs e)
        {
            EditP f1 = new EditP();
            f1.Show();
            this.Hide();
        }

        private void button12_Click(object sender, EventArgs e)
        {
            ProductSale f1 = new ProductSale();
            f1.Show();
            this.Hide();
        }
    }
}
